//
//  FileTypeSelectorViewController.m
//  TGXF
//
//  Created by James Hudson on 5/03/2014.
//  Copyright (c) 2014 James Hudson. All rights reserved.
//

#import "FileTypeSelectorViewController.h"

@interface FileTypeSelectorViewController ()
@property (strong, nonatomic) IBOutlet UITextView *textEntered;
    @property UIImagePickerController * imagePickerController;
@end

@implementation FileTypeSelectorViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)textButtonPressed:(id)sender {
    [self.delegate userSelectedFileWithData: [self.textEntered.text dataUsingEncoding:NSUTF8StringEncoding] filename: @"TGXFtext.txt"];
    
    [[self navigationController] popViewControllerAnimated: YES];
}

- (IBAction)photoButtonPressed:(id)sender {
    UIImagePickerController *imagePickerController = [[UIImagePickerController alloc] init];
    imagePickerController.modalPresentationStyle = UIModalPresentationCurrentContext;
    imagePickerController.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
    imagePickerController.delegate = self;

    self.imagePickerController = imagePickerController;
    [self presentViewController:self.imagePickerController animated:YES completion:nil];
}


// This method is called when an image has been chosen from the library or taken from the camera.
- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    UIImage *image = [info valueForKey:UIImagePickerControllerOriginalImage];
    //NSDictionary *metadata = [info objectForKey:UIImagePickerControllerMediaMetadata];

    [self.delegate userSelectedFileWithData: UIImageJPEGRepresentation(image, 1.0) filename: @"TGXFimage.jpg"];
    
    [self dismissViewControllerAnimated:YES completion:NULL];
    
    [[self navigationController] popViewControllerAnimated: YES];
}


- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker
{
    [self dismissViewControllerAnimated:YES completion:NULL];
}

@end
