//
//  tgxf-transmit-pull.h
//  TGXF
//
//  Created by James Hudson on 3/03/2014.
//  Copyright (c) 2014 James Hudson. All rights reserved.
//

#ifndef TGXF_tgxf_transmit_pull_h
#define TGXF_tgxf_transmit_pull_h

#include "qrencode.h"

/**
 * Setup a new session.
 * @param bytesIn the data to send
 * @param length length of data in bytes
 * @param qrcodeVersion the QR code version ( 1 (21x21), 2 (25x25), 8 (49x49), 15 (77x77))
 * @param filePath the name to send to the receiver - does not need to be on the local filesystem
 * @param fps the frames per second of the stream
 */
int tgxf_init_session(char * bytesIn, int length, unsigned int qrcodeVersion, const char *filePath, int fps);

unsigned int tgxf_pull_frame(unsigned int frame_number, QRcode ** code);

unsigned int tgxf_get_num_frames();


#endif
